KDK_FAN_GET_INFORMATION(3)

NAME
kdk_fan_get_information - 获取风扇的信息

SYNOPSIS
#include <libkyfan.h>

extern char** kdk_fan_get_information();

Link with -lkyfan.

Detailed Description
The main function of the interface is to obtain the fan information.

RETURN VALUE
On success, returns a list of fan information of type char*, including name and speed, ending with a NULL string; Generated by alloc and needs to be recycled by kdk_fan_freeall

On error, return NULL.

EXAMPLES
    #include "libkyfan.h"
    #include <stdio.h>
    #include <stdlib.h>
    int main()
    {
        char **fan = kdk_fan_get_information();
        int index = 0;
        while (fan[index])
        {
            printf("%s, fan[index]);
            index++;
        }
        kdk_fan_freeall(fan);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_fan_freeall().

SEE ALSO
kdk_fan_freeall(3).